package com.ruoyi.project.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.saas.base.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 领域常识对象 trs_domain_words
 * 
 * @author ruoyi
 * @date 2025-03-21
 */
public class TrsDomainWordsTenant extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 词条 */
    @Excel(name = "词条")
    private String wrongWord;

    /** 实体类型 */
    @Excel(name = "实体类型")
    private String domainType;

    /** 词典类型 */
    private String dictType;

    /** 是否包含 */
    private Integer flag;

    public Date getTime() {
        return time;
    }

    public void setTime(Date time) {
        this.time = time;
    }

    public Date getEffectstart() {
        return effectstart;
    }

    public void setEffectstart(Date effectstart) {
        this.effectstart = effectstart;
    }

    public Date getEffectend() {
        return effectend;
    }

    public void setEffectend(Date effectend) {
        this.effectend = effectend;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "生效开始时间(yyyy-MM-dd)", width = 30, dateFormat = "yyyy-MM-dd")
    private Date effectstart;
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "生效结束时间(yyyy-MM-dd)", width = 30, dateFormat = "yyyy-MM-dd")
    private Date effectend;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
/*
    @Excel(name = "时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
*/
    private Date time;

    private String status;
    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setWrongWord(String wrongWord) 
    {
        this.wrongWord = wrongWord;
    }

    public String getWrongWord() 
    {
        return wrongWord;
    }

    public void setDomainType(String domainType) 
    {
        this.domainType = domainType;
    }

    public String getDomainType() 
    {
        return domainType;
    }

    public void setDictType(String dictType) 
    {
        this.dictType = dictType;
    }

    public String getDictType() 
    {
        return dictType;
    }

    public void setFlag(Integer flag) 
    {
        this.flag = flag;
    }

    public Integer getFlag() 
    {
        return flag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("wrongWord", getWrongWord())
            .append("domainType", getDomainType())
            .append("dictType", getDictType())
            .append("flag", getFlag())
            .toString();
    }
}
